"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useStateDataList = void 0;
const React = require("react");
const react_1 = require("react");
const create_global_state_1 = require("./create-global-state");
const CombineProviders_1 = require("./utils/CombineProviders");
const StateDataContext = react_1.createContext({});
const RhinoProvider = ({ children, initialStates: initialStatesObject, }) => {
    const stateDataList = {};
    const ProviderList = [];
    Object.keys(initialStatesObject).forEach((key) => {
        const initialValue = initialStatesObject[key];
        const { Provider, useStateValue, useStateUpdate } = create_global_state_1.default(initialValue);
        stateDataList[key] = {
            stateHook: useStateValue,
            updaterHook: useStateUpdate,
        };
        ProviderList.push(Provider);
    });
    return (React.createElement(CombineProviders_1.default, { providers: ProviderList },
        React.createElement(StateDataContext.Provider, { value: stateDataList }, children)));
};
const useStateDataList = () => react_1.useContext(StateDataContext);
exports.useStateDataList = useStateDataList;
exports.default = RhinoProvider;
