"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RhinoProvider_1 = require("../RhinoProvider");
const useSetRhinoState_1 = require("./useSetRhinoState");
const useRhinoValue_1 = require("./useRhinoValue");
/**
 *
 * React hook which returns the stateful value  corresponding to the key
 * provided and a function to update it
 * @param key Key which represents the state
 */
function useRhinoState(key) {
    const stateDataList = RhinoProvider_1.useStateDataList();
    if (key in stateDataList) {
        return [useRhinoValue_1.default(key), useSetRhinoState_1.default(key)];
    }
    throw new Error(`${key} is an invalid key`);
}
exports.default = useRhinoState;
